<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Driver_V4 StructType
 * @subpackage Structs
 */
class Insert_Driver_V4 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DriverInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\InterfacePersonInsert_V4
     */
    public $DriverInsert;
    /**
     * Constructor method for Insert_Driver_V4
     * @uses Insert_Driver_V4::setLogin()
     * @uses Insert_Driver_V4::setDriverInsert()
     * @param \StructType\Login $login
     * @param \StructType\InterfacePersonInsert_V4 $driverInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\InterfacePersonInsert_V4 $driverInsert = null)
    {
        $this
            ->setLogin($login)
            ->setDriverInsert($driverInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Driver_V4
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DriverInsert value
     * @return \StructType\InterfacePersonInsert_V4|null
     */
    public function getDriverInsert()
    {
        return $this->DriverInsert;
    }
    /**
     * Set DriverInsert value
     * @param \StructType\InterfacePersonInsert_V4 $driverInsert
     * @return \StructType\Insert_Driver_V4
     */
    public function setDriverInsert(\StructType\InterfacePersonInsert_V4 $driverInsert = null)
    {
        $this->DriverInsert = $driverInsert;
        return $this;
    }
}
